CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Recommended modules
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

Igniton error handler integrates 'spatie/ignition'
(https://github.com/spatie/ignition) with Drupal and provides developer a
very good UI for displaying error messages and exceptions. The UI also provides
various other important debugging information such as stack trace, cache
headers etc.

Do not enable this module on production environment.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/ignition

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/search/ignition


REQUIREMENTS
------------

It will currently only work with Drupal 10 as the spatie/ignition library
has a dependency on Symfony 5.

INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module.
   See: https://www.drupal.org/docs/extending-drupal/installing-modules for
   further information. Recommended way of installing module is via composer.


CONFIGURATION
-------------

 * Configure the ignition error handler at (/admin/config/development/ignition).
 * 'Enable' configuration can be used to toggle enabling/disabling.
 * 'Dark Mode' configuration can be used to enable Dark Mode for the UI.
 * Make sure ignition module is either uninstalled in production or marked
   as disabled from the configuration. You can also add a snippet like this
   in you settings.php file to achieve the same.

```
    if (SITE_IS_PROD) {
      $config['ignition.settings']['enable'] = FALSE;
    }
```
   For Acquia environments, you can use following snippet.
```
    if (isset($_ENV['AH_SITE_ENVIRONMENT']) && $_ENV['AH_SITE_ENVIRONMENT'] == 'prod') {
      $config['ignition.settings']['enabled'] = FALSE;
    }
```

MAINTAINERS
-----------

Current maintainers:
 * Kevin Quillen (kevinquillen) - https://www.drupal.org/u/kevinquillen
 * Gaurav Kapoor (gaurav.kapoor) - https://www.drupal.org/u/gauravkapoor

Supporting organization:
 * Velir (https://www.drupal.org/velir)
